%global pkgname django-admin-honeypot
Name:		python-django-admin-honeypot		
Version:	0.3.0
Release:	2%{?dist}
Summary:	A fake Django admin log in screen to notify admins of unauthorized access

Group:		Development/Languages
License:	MIT	
URL:		https://github.com/dmpayton/django-admin-honeypot
Source0:	http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools	

%if 0%{?fedora} >= 18
Requires:	python-django
BuildRequires:	python-django
%else
Requires:	Django
BuildRequires:	Django
%endif 

	

Provides:	 %{pkgname} = %{version}-%{release}

%description
A fake admin log in screen to notify admins of attempted unauthorized access. 

%prep
%setup -q -n %{pkgname}-%{version}
# %patch1 -p1 -b .enabletests
rm -rf django_admin_honeypot.egg-info
# Disable test for now.
rm -rf tests


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc PKG-INFO LICENSE README.mkd
%{python_sitelib}/admin_honeypot
%{python_sitelib}/django_admin_honeypot-*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 28 2014 Eduardo Echeverria <echevemaster@gmail.com> - 0.3.0-1
- Update to the latest upstream release

* Tue Feb 04 2014 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.5-1
- Update to the latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 22 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.4-3
- Fix patch that towards the build fails in rawhide

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 08 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.4-1
- Updated to version 0.2.4

* Mon Sep 10 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-5
- Add python-pep8 >= 1.3.3 during build	(Available in rawhide)
- Add a patch for test suite

* Thu Sep 06 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-4
- Add python-django during build
- Add python-pep8 >= 1.3 during build
- Add python-coverage during build
- Add check section
- Add patch for test (change version pep8 1.3.3 at 1.3)

* Wed Sep 05 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-3
- Remove python-django during build

* Tue Sep 04 2012 Eduardo Echeverria <echevemaster@gmail.com> - 0.2.3-2
- Change Summary

* Tue Sep 04 2012 Eduardo Echeverria <echevemaster@gmail.com> - 0.2.3-1
- initial packaging
